#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team 
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kalendar
Summary:        Kalendar is a calendar application that allows you to manage your tasks and events
Epoch:          1
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kalendar/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5QuickTest)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5QQC2DesktopStyle)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5IconThemes)

BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5KirigamiAddons)

BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5AkonadiContact)
BuildRequires:  cmake(KPim5CalendarSupport)
BuildRequires:  cmake(KPim5EventViews)
BuildRequires:  cmake(KPim5MailCommon)
BuildRequires:  cmake(KF5PimCommonAkonadi)

%description
Kalendar is a calendar application that allows you to manage your 
tasks and events. Kalendar supports both local calendars as well 
as a multitude of online calendars: Nextcloud, Google® Calendar, 
Outlook®, Caldav, and many more.

%files -f %name.lang
%_kf5_categoriesdir/akonadi.quick.categories
%_kf5_categoriesdir/kalendar.contact.categories
%_kf5_bindir/kalendar
%_kf5_applicationdir/org.kde.kalendar.desktop
%_kf5_iconsdir/hicolor/scalable/apps/org.kde.kalendar.svg
%_kf5_metainfodir/org.kde.kalendar.appdata.xml
%_kf5_categoriesdir/kalendar.categories
%_qt5_qml/org/kde/akonadi/CollectionComboBox.qml
%_qt5_qml/org/kde/akonadi/AgentConfigurationForm.qml
%_qt5_qml/org/kde/akonadi/libakonadi_quick_plugin.so
%_qt5_qml/org/kde/akonadi/MobileCollectionComboBox.qml
%_qt5_qml/org/kde/akonadi/qmldir
%_qt5_qml/org/kde/kalendar/
# Plasma
%_kf5_metainfodir/org.kde.kalendar.contact.appdata.xml
%_kf5_datadir/plasma/plasmoids/org.kde.kalendar.contact/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sun May 28 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1959393
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946438
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941732
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922851
- New version 22.12.0

* Thu Dec 01 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1913669
- New version 22.11.90

* Sun Nov 13 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1906961
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886903
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1883493
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873193
- New version 22.04.3
- New version 22.04.0

* Sat Apr 23 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1852883
- imported package kalendar

